ControlCommandsService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.agent.server.ControlCommandsService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.agent.server
Class ControlCommandsService

    java.lang.Object
      org.hyperic.hq.control.agent.server.ControlCommandsService

All Implemented Interfaces:
  ControlCommandsClient

    public class ControlCommandsService

extends java.lang.Object
implements ControlCommandsClient

The Control Commands service.

Constructor Summary
`ControlCommandsService(ControlPluginManager controlManager, ControlCallbackClient client)`

Method Summary
`void` | `controlPluginAdd(java.lang.String pluginName, java.lang.String pluginType, ConfigResponse response)` Register a control plugin for use on this agent
`void` | `controlPluginCommand(java.lang.String pluginName, java.lang.String pluginType, java.lang.Integer id, java.lang.String action, java.lang.String args)` Issue a control operation on a plugin and associate it with a job id
`void` | `controlPluginRemove(java.lang.String pluginName)` Remove a control plugin on an agent

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlCommandsService

    public ControlCommandsService(ControlPluginManager controlManager,
                                  ControlCallbackClient client)

Method Detail

### controlPluginAdd

    public void controlPluginAdd(java.lang.String pluginName,
                                 java.lang.String pluginType,
                                 ConfigResponse response)
                          throws AgentRemoteException

  Description copied from interface: `ControlCommandsClient`
  Register a control plugin for use on this agent

  Specified by:
    `controlPluginAdd` in interface `ControlCommandsClient`
  Parameters:
    `pluginName` - The plugin name
    `pluginType` - The type of plugin to create
    `response` - The plugin configuration
  Throws:
    `AgentRemoteException`
  See Also:
    `ControlCommandsClient.controlPluginAdd(java.lang.String, java.lang.String, org.hyperic.util.config.ConfigResponse)`

### controlPluginCommand

    public void controlPluginCommand(java.lang.String pluginName,
                                     java.lang.String pluginType,
                                     java.lang.Integer id,
                                     java.lang.String action,
                                     java.lang.String args)
                              throws AgentRemoteException

  Description copied from interface: `ControlCommandsClient`
  Issue a control operation on a plugin and associate it with a job id

  Specified by:
    `controlPluginCommand` in interface `ControlCommandsClient`
  Parameters:
    `pluginName` - The plugin id
    `pluginType` - The plugin type
    `action` - The action to perform
  Throws:
    `AgentRemoteException`
  See Also:
    `ControlCommandsClient.controlPluginCommand(java.lang.String, java.lang.String, java.lang.Integer, java.lang.String, java.lang.String)`

### controlPluginRemove

    public void controlPluginRemove(java.lang.String pluginName)
                             throws AgentRemoteException

  Description copied from interface: `ControlCommandsClient`
  Remove a control plugin on an agent

  Specified by:
    `controlPluginRemove` in interface `ControlCommandsClient`
  Parameters:
    `pluginName` - The plugin name
  Throws:
    `AgentRemoteException`
  See Also:
    `ControlCommandsClient.controlPluginRemove(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.